/// <reference types="node" />
import { EventEmitter } from 'events';
import { SnowpackBuildMap, SnowpackPlugin } from '../types/snowpack';
export interface BuildFileOptions {
    plugins: SnowpackPlugin[];
    messageBus: EventEmitter;
    isDev: boolean;
    isHmrEnabled: boolean;
}
export declare function getInputsFromOutput(fileLoc: string, plugins: SnowpackPlugin[]): string[];
export declare function runPipelineOptimizeStep(buildDirectory: string, { plugins, messageBus }: BuildFileOptions): Promise<null>;
/** Core Snowpack file pipeline builder */
export declare function buildFile(srcPath: string, buildFileOptions: BuildFileOptions): Promise<SnowpackBuildMap>;
